Update DB2!!

Discuss the hosted development builds here.
[Home]

Moderator: Dev Builds Team

Xtyfe
Posts: 11
Joined: Sun May 13, 2007 21:12

Update DB2!!

Post by Xtyfe » Mon Nov 28, 2011 3:30

There was discussion on the ZDoom forums sometime back about updating the DB2 svn builds since they are more than a year behind. I tried my hand at it and was not successful. Unfortunately no one else took this up so I would like to ask here.

Please for the love of god update this asap!

Rachael
Developer
Developer
Posts: 3623
Joined: Sat May 13, 2006 10:30

Re: Update DB2!!

Post by Rachael » Sat Dec 03, 2011 2:00

Unfortunately the person who was responsible for maintaining these has left the Doom community. We need someone else who has the technical knowledge and the required applications and support installed to start building them again. If you know any volunteers, they will be given access to the site.

I cannot do it myself because I am under time constraints and I no longer have the ability to make commitments to this community outside of maintaining the server.
Spoiler: Zen Sarcasm

Xtyfe
Posts: 11
Joined: Sun May 13, 2007 21:12

Re: Update DB2!!

Post by Xtyfe » Sat Dec 03, 2011 2:58

I would volunteer myself, though the reason I was not able to build this myself was due to not having all the prerequisites to build it.

User avatar
Tiger
Developer
Developer
Posts: 857
Joined: Thu Feb 25, 2010 3:44
Location: United States
Contact:

Re: Update DB2!!

Post by Tiger » Sat Dec 03, 2011 6:55

Code: Select all

ECHO.     This build script requires the following software to be installed:
ECHO.       - Subversion command-line client
ECHO.       - Microsoft Visual Studio 2008
ECHO.       - Microsoft HTML Help compiler
ECHO.       - Inno Setup 5
I wouldn't mind compiling this, but I wonder if I must use MS Studio 2008 instead of 2010? If I can use MS Studio 2010, then all I would just need to do is to install the necessary prerequisites. In a way, this gives me even more motivation to look at more source code :P
Nicholas Gautier

Xtyfe
Posts: 11
Joined: Sun May 13, 2007 21:12

Re: Update DB2!!

Post by Xtyfe » Sat Dec 03, 2011 18:43

I'm certain it only works with 2008, 2010 was the first thing I tried, then 2005 and then 2008 :p

User avatar
Tiger
Developer
Developer
Posts: 857
Joined: Thu Feb 25, 2010 3:44
Location: United States
Contact:

Re: Update DB2!!

Post by Tiger » Sun Dec 04, 2011 1:23

Xtyfe wrote:I'm certain it only works with 2008, 2010 was the first thing I tried, then 2005 and then 2008 :p
Damn, I guess that would answer why I get nothing but red/yellow lines of errors. Although, however, not sure what is going on with SlimDX dependency errors -- but I will check that out perhaps next week.
Spoiler: Compile Fail
Nicholas Gautier

CodeImp
Posts: 13
Joined: Sun Sep 12, 2010 21:37

Re: Update DB2!!

Post by CodeImp » Sun Dec 04, 2011 13:00

In theory it should work just fine with VS 2010. I just didn't upgrade the project to 2010 because I know some people that use the DB2 source and not everybody always uses the latest software. Regarding the SlimDX dependencies: I just (2 days ago) updated the source to work with the latest SlimDX (September 2011), so you must have that installed. For the command line SVN client I use the CollabNet builds (http://www.collab.net/downloads/subversion download requires a free registration)

Also, a new official release is just out (http://www.doombuilder.com) and the people using the GZDoom Editing plugin may want a new build (the old one is no longer compatible with the new DB2).

Xtyfe
Posts: 11
Joined: Sun May 13, 2007 21:12

Re: Update DB2!!

Post by Xtyfe » Sun Dec 04, 2011 19:32

well that just made my day :cheers:

User avatar
Tiger
Developer
Developer
Posts: 857
Joined: Thu Feb 25, 2010 3:44
Location: United States
Contact:

Re: Update DB2!!

Post by Tiger » Mon Dec 05, 2011 6:12

Thank you for the retort, Codeimp. I will plausibly look into updating SlimDX; although, I am very warry as I've grown dependent on the GZDoom VM. Not to be selective, but I will most likely stay behind as I need GZDoom VM for my development. Consequently, as a result, I may not update my installed version of SlimDX. But, judging on revision 1467 & 1468, I may not have to ponder very long.
Nicholas Gautier

CodeImp
Posts: 13
Joined: Sun Sep 12, 2010 21:37

Re: Update DB2!!

Post by CodeImp » Mon Dec 05, 2011 7:22

2 revisions don't make an official release ;)
I don't see what the GZDoom VM has to do with SlimDX. If it also depends on SlimDX like DB2 does, do not worry, different SlimDX versions can coexist fine on one machine, just like DirectX.

User avatar
Tiger
Developer
Developer
Posts: 857
Joined: Thu Feb 25, 2010 3:44
Location: United States
Contact:

Re: Update DB2!!

Post by Tiger » Mon Dec 05, 2011 10:12

CodeImp wrote:2 revisions don't make an official release ;)
Indeed :P
CodeImp wrote:I don't see what the GZDoom VM has to do with SlimDX.

As I depend on GZDoom VM, I would want to stay compatible with revision 1429. Of course, that is until a later revision has support of GZDoom VM or something better. That was mainly what I was trying to imply.
CodeImp wrote:do not worry, different SlimDX versions can coexist fine on one machine, just like DirectX.
In that case, I'll try to download the newer SlimDX version and try to compile a build - perhaps on Tuesday or Wednesday (Saturday at worst)!
Nicholas Gautier

CodeImp
Posts: 13
Joined: Sun Sep 12, 2010 21:37

Re: Update DB2!!

Post by CodeImp » Mon Dec 05, 2011 10:50

If you make a successful build of the GZDoom Editing plugin, you can plug that plugin into the latest DB2 version (overwrite the old one) and you should be on your way with development (with the bonus of new features and bugfixes). If so, please post it online as I'm sure a bunch of people would like a new unofficial build of that plugin for the new DB2 version. (I refuse to do it, because it may look like an official build and people may incorrectly assume that it is a complete and "bugless" product)

Xtyfe
Posts: 11
Joined: Sun May 13, 2007 21:12

Re: Update DB2!!

Post by Xtyfe » Tue Dec 06, 2011 0:29

Is all that's needed for the plugin is to just compile it? I figured it needed a little more if it was not compatible in some way

User avatar
Tiger
Developer
Developer
Posts: 857
Joined: Thu Feb 25, 2010 3:44
Location: United States
Contact:

Re: Update DB2!!

Post by Tiger » Tue Dec 06, 2011 5:39

I've successfully compiled r1470; next task is to compile the GZDoom plugin (unless it is not currently plausible?).

Code: Select all

Successful compile (7,364 sec). Resulting Setup program filename is:
D:\SVN Projects\doombuilder\trunk\Release\builder2_setup.exe

     BUILD DONE !

     Revision:  1470
Nicholas Gautier

CodeImp
Posts: 13
Joined: Sun Sep 12, 2010 21:37

Re: Update DB2!!

Post by CodeImp » Tue Dec 06, 2011 7:25

The GZDoom plugin is not compiled by that script (because that script is to make an official release). And yes 1470 is a good revision to build the plugin.
Xtyfe: I've already made the necessary changes ;)

Post Reply

Return to “Development Builds”